//	ＡＩＧライブラリ　基本関数：ファイル関数
//	Copyright (C) 1989-1995,2001 by AIG-SOFT

#ifndef	__AIG_FILE__
#define	__AIG_FILE__	1

#include <stdio.h>
#include <time.h>
#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif

#ifdef	__PROTO_TYPE
	int	del_0_file(unchar *);
	int	file_copy_move(unchar *,unchar *,unchar *,int,int,int,int,int,int,int *);
	int	file_copy_sub(FILE *,FILE *,int ,unchar *,int,int,int,int *);
	int	copy_exist(unchar *,unchar *);
	long	GetFileSize(unchar *);
	time_t	GetFileTime(unchar *);
	long	GetFileDateTime(unchar *,unchar *,unchar *);
	int	FileAdd(FILE *,unchar *,unchar *,size_t );
	int	DelAll(unchar *,unchar *,unchar *);
	int	AddAll(unchar *,unchar *,unchar *,size_t );
	int	FileCodeSplit(FILE *,unchar *,unchar *,size_t ,long ,unchar *);
	int	CutFile(FILE *,FILE *,long ,long ,unchar *,size_t );
	int	CheckFile(unchar *,int ,unchar *);
	int	TextRead(unchar *,unchar *(*));
	int	TextCopy(FILE *,FILE *,int ,unchar *,int );
#else
	int	del_0_file();
	int	file_copy_move();
	int	file_copy_sub();
	int	copy_exist();
	long	GetFileSize();
	time_t	GetFileTime();
	long	GetFileDateTime();
	int	FileAdd();
	int	DelAll();
	int	AddAll();
	int	FileCodeSplit();
	int	CutFile();
	int	CheckFile();
	int	TextRead();
	int	TextCopy();
#endif
#ifdef	__cplusplus
}
#endif

#endif
